HQ APIVat categories
Create company VAT category
Creates a custom VAT category in the company catalog.
POST
/v1/hq/vat_categoriesAuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Query Parameters
select?array<string>
expand?array<string>
Request Body
application/json
company_id*string
Example
"comp_123456"title?string
Example
"Reduced VAT"ratio*number
Format
doubleExample
0.11tax_exemption_reason?string
Example
"M01"default?boolean
Example
falseenabled?boolean
Example
trueavailable?boolean
Example
trueResponse Body
application/json
curl -X POST "https://api.noona.is/v1/hq/vat_categories" \ -H "Content-Type: application/json" \ -d '{ "company_id": "comp_123456", "ratio": 0.11 }'{
"id": "vatcat_123456",
"company": "string",
"issuer": "string",
"source_vat": "string",
"title": "Standard VAT",
"locale_key": "dbIssuerVATCategories:nonVATPayer",
"ratio": 0.24,
"tax_exemption_reason": "M01",
"vat_treatment": "non_vat_payer",
"editable": true,
"system": false,
"requires_tax_exemption_reason": false,
"default": true,
"enabled": true,
"available": true,
"order": 0,
"created_at": "2026-06-17T12:00:00Z",
"updated_at": "2026-06-17T12:00:00Z"
}Empty
Empty
Empty
Empty
Empty